Description

It would be fine to have a small confirmation window before a feature or a group of selected features will be deleted - similar to the

confirmation window after clicking "remove layer/group" in the legend. 

Maybe some users will find this annoying. So it further would be fine to have a check box "Delete Confirmation" in Settings > Options.

Related issues:

Duplicated by QGIS Application - Feature request # 18042: Include confirmatio... Closed 2018-02-04

History

#1 - 2015-12-07 10:18 AM - Steven Mizuno

As long as deletions can be un-deleted with Undo (and Rollback or Cancel for layer editing), I don't see a reason to have a confirmation dialog. On the

other hand, there is no Undo for layer removal so the confirmation does make sense for that.

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2018-02-04 07:36 PM - Harrissou Santanna

- Duplicated by Feature request #18042: Include confirmation on delete of features added

#5 - 2018-02-05 07:15 AM - Kory Roberts

If there is no momentum for this, can there at least be an alert message to let the user know a deletion of features occurred?

As far as I can tell, there are 4 pretty easy--single click--ways features could potentially be deleted without the user knowing:

    -  Accidentally clicking the delete button on the digitizing toolbar.

    -  Accidentally clicking the delete button on the attributes table toolbar.

    -  Accidentally hitting the delete key on the keyboard.

    -  Accidentally hitting the backspace key on the keyboard.

Undo is great...so long as the user realizes they tapped the delete key by mistake (too easy to do!!!).  I know that I've personally had a couple of tense

moments of confusion working with the attributes table...  Did I just hit the delete key by mistake???  OK, back to the main window...undo.  OK, what did I

just undo?  I have no idea!!!

I find a reasonable safeguard is warranted here.  I also personally prefer the confirmation window approach: "Are you sure you want to delete the 35

selected features?" Yes/No.  This also informs the user if more/fewer features are about to be deleted than intended.
